import Ajax from './ajax'
import api from './api'
import wechatConfig from '@/config/index'
const toolClass = {
  dateFormat: (timestamp, fmt) => {
    if (!fmt) {
      fmt = 'yyyy-MM-dd hh:mm'
    }

    let date = new Date(timestamp)
    var o = {
      'M+': date.getMonth() + 1,
      'd+': date.getDate(),
      'h+': date.getHours(),
      'm+': date.getMinutes(),
      's+': date.getSeconds(),
      'q+': Math.floor((date.getMonth() + 3) / 3),
      'S': date.getMilliseconds()
    }
    if (/(y+)/.test(fmt)) {
      fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length))
    }
    for (var k in o) {
      if (new RegExp('(' + k + ')').test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)))
      }
    }
    return fmt
  },
  UrlSearch: (urls) => {
    let url = urls // 获取url中"?"符后的字串
    let theRequest = {}
    if (url.indexOf('?') !== -1) {
      let str = url.substr(1)
      let strs = str.split('&')
      for (var i = 0; i < strs.length; i++) {
        theRequest[strs[i].split('=')[0]] = unescape(strs[i].split('=')[1])
      }
    }
    return theRequest
  },
  getCode: (appid) => {
    wechatConfig.appid = appid
    let url = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${appid}&redirect_uri=${encodeURIComponent(window.location.href)}&response_type=${wechatConfig.response_type}&scope=${wechatConfig.scope}&state=${wechatConfig.state}#wechat_redirect`
    window.location.href = url
  },
  upload (item) {
    return new Promise((resolve, reject) => {
      Ajax({
        ...api.file.image,
        data: { file: item.file },
      }).then((res) => {
        let result = {
          result: res
        }
        if (item.onSuccess) {
          item.onSuccess(result, item.file)
        }
        // console.log(result)
        resolve(result)
      }).catch(reject)
    })
  },
}

export default toolClass
